Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7885 - gnome randomly (?) exits
Summary: gnome randomly (?) exits
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-19 03:27 UTC by hchcheng
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-17 20:53:15 UTC


Attachments (Terms of Use)

Description hchcheng 1999-12-19 03:27:59 UTC
I have been using gnome with enlightenment ever since I upgraded to 6.1,
and occasionally (but not often), gnome spontaneously shutdown and log me
out, switches the screen to text mode, and then flips back to a graphical
gdm screen for logging in.  I don't think the runlevel has changed, since I
don't see the "shutting down..." and "starting..." messages.  I can't
figure out any common events that lead to these exits.

I have seen the following in my /var/log/messages when this happens (user
and machine names changed for security reasons):

Dec 18 18:41:36 host gnome-name-server[665]: input condition is: 0x10,
exiting
Dec 18 18:41:38 host PAM_pwdb[585]: (gdm) session closed for user user1
Dec 18 18:41:39 host PAM_pwdb[585]: (gdm) session closed for user user1

Also, in my .xsession-errors:

SESSION_MANAGER=local/host:/tmp/.ICE-unix/628,tcp/host:1025
Audio File Library: error 5: Unix read failed
esd: Esound sound daemon already running or stale UNIX socket
/tmp/.esd/socket
This socket already exists indicating esd is already running.
Exiting...
subshell.c: couldn't get terminal settings: Inappropriate ioctl for device
rm: cannot remove `/home/user1/.gnome//gmc-epbBJn': No such file or
directory
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
X connection to :0.0 broken (explicit kill or server shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).
Gdk-ERROR **: X connection to :0.0 broken (explicit kill or server
shutdown).

The first few lines about ESD is always there (is this a bug?  I don't seem
to have any problems, though), but the rest are only present when gnome
spontaneously exits.

I am using the latest gnome packages from the errata.  This happens before
and after I upgraded the gnome packages.

I don't know what else to report.  If anyone wants more info, I'll be
pleased to provide them.  Just let me know what I have to do to collect the
info.

Comment 1 Elliot Lee 2000-01-17 20:25:59 UTC
This is most likely your X server crashing. Can you look in /var/gdm/:0.log for
any relevant error messages?

Comment 2 Elliot Lee 2000-01-17 20:53:59 UTC
Possibly a hardware problem or X server bug.

Comment 3 hchcheng 2000-01-17 20:56:59 UTC
I don't know if it's a hardware problem...but I know this never happened before
I switched to 6.1 (but then again, I was using only fvwm2).  I can't see
/var/gdm/:0.log now because it only has the normal messages.  I'll have to wait
for it to die again so I can look at the message.


Note You need to log in before you can comment on or make changes to this bug.